chybová hláška po aktualizaci

Milan
04. lis 2018 11:01 - 04. lis 2018 11:06 #137468
Přeji pěkný den,

můžete mi prosím poradit? Po aktualizaci na Joomlu 3.9.0 se mi objevila tato hláška a web je nedostupný.
Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /www/mojedomena.cz/mojedomena.cz/libraries/cms/html/content.php on line 74

Nemůže to být tím, že verze PHP je 5.3.29?

Moc děkuji, Milan

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Linelabcz
04. lis 2018 11:13 - 04. lis 2018 11:14 #137470
Milane prosím vás, věnujte pozornost tomu, do jaké kategorie přípsvěvek zařazujete. " Čeština pro Joomla! 4 a její rozšíření" je špatně. Přesunuto.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Milan
04. lis 2018 11:32 #137471
Děkuji za odpověď, lze v bloku údržba přepsat Joomlu na původní verzi?

Děkuji Milan

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
04. lis 2018 12:16 - 04. lis 2018 12:18 #137474
Blok údržby se v Joomle nevyskytuje, navíc nemáte přístup do administrace, takže je to spíš otázka na administraci vašeho hostingu.

A rovnou můžete změnit i parametry vašeho hostingu, každá verze Joomly má nějaké technické požadavky. Pokud je nedodržíte, nebude to fungovat...

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Milan
04. lis 2018 12:42 #137478
Děkuji za odpověď,
můžete mi prosím poradit zda se lze vrátit na starší verzi Joomly? Který soubor bych měl odtud downloads.joomla.org/cms/joomla3/3-8-13 použít pro přeinstalaci?

Děkuji Milan

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
04. lis 2018 13:53 #137488
Podle čísla Joomly, kterou jste měl nainstalovanou předtím (to totiž nepíšete).

Ale opravdu je záhodno přejít na verzi PHP 7x, na vaší verzi 5.3.29 můžete provozovat tak Joomlu 1.5

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Petr
14. lis 2018 21:37 #137700
Prosím pomooooc,

provozuji několik domén na joomle. Při aktualizaci na 3.9.0. a češtiny na 3.9.0.8 se mi něco po... Pokud chci do seznamu článků, hodí to error 500. viz obrázek.

Prosím poraďte co s tím. Děkuji

Přílohy:

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
14. lis 2018 21:46 #137701
kam se v administraci dostanete?
dostanete se třeba na /administrator/index.php?option=com_installer&view=database a /administrator/index.php?option=com_installer&view=discover
Pokud ano, zkontrolujte si databázi a podívejte se , zda vám něco nezbývá k doinstalaci.

Dotazy:
1. jaká je verze PHP?
2. kde hostujete?
3. proč jste aktualizoval joomlu na 3.9.0?
4. máte zálohu před upgradem?

Mám si sem dát avatara, tak je tam :D.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Cony
14. lis 2018 22:28 - 14. lis 2018 22:28 #137703
5. jaká máte rozšíření (hlavně systémové pluginy)?
6. Jsou aktuální?

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Petr
15. lis 2018 18:59 #137716
Dobrý večer, (dříve jsem nemohl :( )

1. PHP
2.Hostuji na Endoře 5.6 - je k dispozici 7.1
3.Aktualizoval jsem, protože se joomla sama hlásila o aktualizaci a to i několikrát denně
4.Zálohu samozřejmě mám - již jsem ji použil a jsem zpět na 3.8.13 a vše je v pořádku
5.Rozšíření a pluginy různé, neboť to postihlo 4 domény o které se starám.
6. Ano doplňky jsou aktuální.

Zkusil jsem čistou instalaci 3.8.13 a po té upgrade na 3.9.0. a byl problém i na čisté joomle.
Toliko asi k otázkám. Zajímalo by mě, jestli je to problém u mě ( třeba v hostingu) nebo jestli to postihlo více uživatelů.

Děkuji moc za pomoc - ta záloha byl ten nej nápad. a rozhodně aktualizovat NEBUDU :D

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
15. lis 2018 20:36 - 15. lis 2018 20:37 #137718
rozhodně zkuste povýšit php na 7.1. 5.6 a 7.0 je již nepodporované.
To by mohl být hlavní problém.
Jaký máte na endoře program, Plus?
Teď jsem zkusil čistou joomlu na endoře v programu plus s php 5.6.31 a běhá to bez chyby.
tedy pak nerozumím

Zkusil jsem čistou instalaci 3.8.13 a po té upgrade na 3.9.0. a byl problém i na čisté joomle.


Pokud to máte na endoře v programu free, je to jiná otázka.
Klidně si dám tu práci a zkusím to i na free.

Zkusil jste tu instalaci pátráním? Už se mi stalo, že se jomla na 3.9.0 neupgradovala celá.
Tuším, že to bylo na zrovna na endoře.

Mám si sem dát avatara, tak je tam :D.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Petr
15. lis 2018 20:44 #137719
Stalo se mi to na těch doménách s programem plus. Na free jsem nainstaloval jen joomlu a zkusil ten upgrade. Dal jsem zapsat přímo. Skončilo to pozitivní hláškou, že je vše ok. Ale články nefungovali. Teď už nejsem u počítače ale o víkendu zkusím přepnout na php 7.1.

Kdyztak si udělám i kopii nějakého webu a zkusím tu instalaci patranim

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
15. lis 2018 20:55 #137720
jestli si to dobře pamatuji, tak jsem na endoře dal 3.8.12 a upgradoval na 3.9.0. ale nepamatuji si již zda na free nebo plus.
Hodilo mi to chybu ve zpracování aktualizace (už nevím, jestli timeout nebo chyba serveru). Joomla se tvářila, že je ve verzi 3.9.0. a že je OK, ale chyběla tam celá komponenta soukromí. Ani reinstalace 3.9 nepomohla. komponenta se doinstalovala až pátráním a to může být podobný případ.

Mám si sem dát avatara, tak je tam :D.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
15. lis 2018 23:06 #137723
Na Endoře jsem míval různé problémy s hostingy, které byly free a poté povýšeny. Ale podpora bude tvrdit, že to není možné :-)

Začal bych přechodem na PHP 7x.
A možná by nebylo na škodu vytvořit kompletní zálohu v Akeeba Backup. Vše na FTP a v databázi vymazat a nakonec web obnovit ze zálohy pomocí Akeeba Kickstart.

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.